View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000815Ecere SDKidepublic2013-04-24 04:102014-08-08 18:17
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000815: Project Workspace: env vars: copy/pasting while changing tabs? [Global Settings seems OK now]
DescriptionI believe the issue was about the data not sticking if you entered only the environment variable 'name' and not value, or vice-versa.

I can't seem to reproduce the problem in [Global Settings], however I can reproduce it in the Project/Workspace tabs ( and it's quite annoying, let's see why that still suffers from it...)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001302)
jerome (administrator)
2014-05-20 21:00

Fixed by:
https://github.com/ecere/ecere-sdk/commit/43bb085fead6581aa617f0ae3339a657becb1ae8 [^]

The reload is only needed on creation of the Project Settings dialog, as it is always constructed right before showing the dialog. The env. vars with only name or value entered will not be saved however after closing the dialog. The only question that remains is whether we would like to allow defining a variable to an empty value or not, so as to clear existing values in the environment.

- Issue History
Date Modified Username Field Change
2013-04-24 04:10 redj New Issue
2013-04-24 04:44 jerome Summary Global Settings: env vars: copy/pasting while changing tabs? => Project Workspace: env vars: copy/pasting while changing tabs? [Global Settings seems OK now]
2013-04-24 04:44 jerome Description Updated
2013-04-24 20:19 jerome Priority normal => immediate
2014-05-20 02:07 jerome Assigned To => jerome
2014-05-20 02:07 jerome Status new => assigned
2014-05-20 02:07 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-05-20 21:00 jerome Status assigned => resolved
2014-05-20 21:00 jerome Fixed in Version => 0.44.10 64
2014-05-20 21:00 jerome Resolution open => fixed
2014-05-20 21:00 jerome Note Added: 0001302
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker